%global momorel 2

%define svnrev 900

Name: fontmatrix
Summary: A fonts manager
Version: 0.5.0
Release: r%{svnrev}.%{momorel}m%{?dist}
License: GPLv2+
Group: User Interface/X
##### svn checkout HOWTO #####
#####  $ svn export -r %{svnrev} http://svn.gna.org/svn/undertype/trunk/tools/typotek fontmatrix #####
#####  $ mkdir ../fontmatrix-build                                              #####  
#####  $ cd ../fontmatrix-build                                                 ##### 
#####  $ cmake ../fontmatrix                                                    #####  
#####  $ make package_source                                                    ##### 
URL: http://www.fontmatrix.net/
Source: http://www.fontmatrix.net/archives/%{name}-%{version}-Source.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: qt-devel freetype-devel 
BuildRequires: desktop-file-utils cmake
BuildRequires: openssl-devel
##Following is needed to ensure that enduser can edit font with fontforge application
Requires:      fontforge

%description
A powerful and well designed fonts manager

%prep
%setup -q -n  %{name}-%{version}-Source

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
%cmake . 

make VERBOSE=1 %{?_smp_mflags}

%check
ctest

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

desktop-file-install --vendor= --delete-original  \
    --dir=$RPM_BUILD_ROOT%{_datadir}/applications/ \
    $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING TODO INSTALL
%{_bindir}/fontmatrix
%{_datadir}/fontmatrix
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/48x48/apps/fontmatrix.png


%changelog
* Mon Jul 20 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5.0-r900.2m)
- remove fedora from --vendor

* Fri Jul  3 2009 Masahiro Takahata <takahata@momonga-linux.org>
- (0.5.0-r900.1m)
- import from Fedora

* Fri Mar 20 2009 Parag <pnemade@redhat.com> - 0.5.0-1.r900
- update to svn revision 900

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 16 2009 Tomas Mraz <tmraz@redhat.com> - 0.4.2-3
- rebuild with new openssl

* Tue Jun 10 2008 Parag <pnemade@redhat.com> - 0.4.2-2
- Resolves: rh#449406:FTBFS fontmatrix-0.4.2-1.fc9

* Tue Apr 08 2008 Parag <pnemade@redhat.com> - 0.4.2-1.fc9
- Update to 0.4.2

* Mon Apr 07 2008 Parag <pnemade@redhat.com> - 0.4.0-2.fc9
- Add support for Shaper functionality.

* Fri Apr 04 2008 Parag <pnemade@redhat.com> - 0.4.0-1.fc9
- Update to 0.4.0

* Mon Feb 11 2008 Parag <pnemade@redhat.com> - 0.3.1-2
- Rebuild for gcc 4.3

* Wed Jan 23 2008 Parag <pnemade@redhat.com> - 0.3.1-1
- Update to 0.3.1

* Mon Jan 14 2008 Parag <pnemade@redhat.com> - 0.3.0-4.r289
- update to svn revision 289(Stable release of 0.3.0 version)

* Thu Dec 27 2007 Parag <pnemade@redhat.com> - 0.3.0-3.r270
- update to svn revision 270
- Added Requires:fontforge

* Thu Dec 27 2007 Parag <pnemade@redhat.com> - 0.3.0-3.r270
- update to svn revision 270

* Fri Dec 21 2007 Parag <pnemade@redhat.com> - 0.3.0-3.r263
- Fixed license tag
- update to new svn checkout
- drop unnecessary BR: qt4-x11

* Tue Dec 18 2007 Parag <pnemade@redhat.com> - 0.3.0-2.r253
- Added BR:cmake

* Mon Dec 17 2007 Parag <pnemade@redhat.com> - 0.3.0-1.r253
- New upstream svn checkout

* Fri Dec 14 2007 Parag <pnemade@redhat.com> - 0.2-14.3.fc8
- Some spec cleanup

* Fri Dec 14 2007 Parag <pnemade@redhat.com> - 0.2-14.2.fc8
- Initial spec for Fedora.

* Mon Nov 26 2007 <mrdocs@scribus.info> - 0.2-14.1
- Initial upstream spec.

